<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."eXtreme_cytat/infusion_db.php";
if (file_exists(INFUSIONS."eXtreme_cytat/locale/".$settings['locale'].".php")) {
include INFUSIONS."eXtreme_cytat/locale/".$settings['locale'].".php";
} 
opentable($locale['EJ_2000']);

if(isset($_POST['save_cytat'])){

$cytat_nick = substr(stripinput(trim($_POST['cytat_nick'])), 0, 50);
$cytat_mail = substr(stripinput(trim($_POST['cytat_mail'])), 0, 100);
$cytat_name = substr(str_replace(array("\r","\n","@"), "", descript(stripslash(trim($_POST['cytat_name'])))), 0, 50);
$cytat_description = descript(stripslash(trim($_POST['cytat_description'])));
$cytat_cat = (isnum($_POST['cytat_cat']) ? $_POST['cytat_cat'] : $_POST['cytat_cat'] = 0);

$error = '';
if ($cytat_nick == "") {
$error .= "<span class='alt'>".$locale['EJ_513']."</span><br />\n";
}
if ($cytat_mail == "" || !preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $cytat_mail)) {
$error .= "<span class='alt'>".$locale['EJ_514']."</span><br />\n";
}
if ($cytat_name == "") {
$error .= "<span class='alt'>".$locale['EJ_515']."</span><br />\n";
}
if ($cytat_description == "") {
$error .= "<span class='alt'>".$locale['EJ_516']."</span><br />\n";
}


if (!$error) {		
$result = dbquery("INSERT INTO ".$db_prefix."cytat VALUES('', '$cytat_nick', '$cytat_mail', '$cytat_name', '$cytat_description', '$cytat_cat', '".time()."')");
echo "<div style='text-align:center'><br />".$locale['EJ_517']."</div><br />\n";
} else {
echo "<div style='text-align:center'><br />\n".$locale['EJ_51']."<br /><br />\n".$error."<br /><input class='button' value='".$locale['EJ_2009']."' onclick='history.go(-1);' /></div><br />\n";
}

	
} else {
$result = dbquery("SELECT * FROM ".$db_prefix."cytat_cat ORDER BY cytat_cat_name");
if(dbrows($result) > 0) {
$link = ""; $sel = "";
while ($data = dbarray($result)) {
$sel = (isset($_GET['cytat_cat_id']) && isnum($_GET['cytat_cat_id']) ? "selected=selected" : "");
$link .= "<option value='".$data['cytat_cat_id']."' '".$sel."'>".$data['cytat_cat_name']."</option>\n";
}
	
echo "<form name='addcat' method='post' action='".FUSION_SELF."'>
<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td width='80' align='right'>".$locale['EJ_485']."</td>
<td><input type='text' name='cytat_nick' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJ_486']."</td>
<td><input type='text' name='cytat_mail' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJ_519']."</td>
<td><input type='text' name='cytat_name' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJ_481']."</td>
<td><textarea name='cytat_description' cols='75' rows='5' class='textbox'></textarea></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJ_483']."</td>
<td><select name='cytat_cat' class='textbox' style='width:250px;'>
$link</select></td>
</tr>
<tr>
<td align='center' colspan='2'>
<input type='submit' name='save_cytat' value='".$locale['EJ_484']."' class='button'></td>
</tr>
</table>
</form>\n";
}
}
closetable();
require_once THEMES."templates/footer.php";
?>
